-- name: RegisterAccount :one
SELECT auth.bh_register_account(
	sqlc.arg(email),
	sqlc.arg(passwordHash),
	sqlc.arg(role)
);

-- name: GetAccountByEmailOrID :one
SELECT
	id,
	createdTs,
	verifiedTs,
	email,
	role
FROM auth.account WHERE
email = sqlc.arg(email) OR id = sqlc.arg(id);


-- name: VerifyAccount :one
SELECT auth.bh_verify_account(
	sqlc.arg(token)
);

